Skip to content

Shop Ranking - Most Promoted

Introduction

Get TikTok shop Most Promoted ranking data, with the following features:

  • Supports setting filtering parameters
  • Supports custom result sorting

API Endpoint

bash
    POST /shop/v1/rank/mostPromoted

Request Body

FieldTypeRequiredDescription
filterobjectNoFilter parameters
orderbyobjectNoSorting parameters
pageintegerNoPage number, default: 1
pagesizeintegerNoItems per page, default: 10

filter Optional Values

FieldTypeRequiredDescription
regionstringNoCountry/Region
category_idintegerNoProduct category
shop_typeintegerNoShop type: 1 (Brand shop), 2 (Retail shop)
is_cross_borderintegerNoWhether cross-border: 1 (Yes), 0 (No)
date_infoobjectNoDate information

region range: ['US','GB','MX','ES','DE','IT','FR','ID','VN','MY','TH','PH','BR','JP','SG']

orderby Optional Values

FieldRequiredDescription
affiliate_countNoAffiliate count (desc)

Request Example

bash
curl 'https://openapi.fastmoss.com/shop/v1/rank/mostPromoted' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "category_id": 14,
        # "shop_type": 1,
        # "is_cross_border": 1,
        "date_info": {
            "type": "day",
            "value": "2026-04-01"
        },
        # "date_info": {
        #     "type": "week",
        #     "value": "2026-05"
        # },
        # "date_info": {
        #     "type": "month",
        #     "value": "2026-03"
        # }
    },
    "orderby": [
      {
        "field": "affiliate_count",
        "order": "desc",
      }
    ],
    "page": 1,
    "pagesize": 10
}'

Response Body

data.total

Total number of items in the result.

data.list

FieldTypeDescription
shop_infoobjectShop information
rank_categoryobjectRanking category
total_affiliate_countintegerTotal associated creators
affiliate_countintegerNew associated creators
sale_product_countintegerNumber of selling products
units_soldintegerSales units
gmvintegerSales revenue (GMV)
usd_gmvintegerRevenue in USD
units_sold_inc_ratestringSales growth rate
gmv_inc_ratestringRevenue growth rate
currencystringCurrency

Response Example

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "shop_info": {
          "seller_id": 7494006325298104216,
          "name": "LOOKFANTASTIC",
          "brand": "LOOKFANTASTIC",
          "seller_company": "Thehut.com limited",
          "avatar": "https://s.500fd.com/tt_shop/813e1606cff740e9932168cfe95e5c4f~tplv-tulkllf4y5-resize-webp:300:300.webp",
          "region": "GB",
          "currency": "GBP",
          "product_count": 4881,
          "shop_rating": 4.7,
          "main_category": {
            "category_id": 14,
            "name": "Beauty & Personal Care"
          },
          "is_fully_managed": 0,
          "is_cross_border": 0,
          "shop_type": 1,
          "status": 1
        },
        "rank_category": { "category_id": 0, "name": "" },
        "total_affiliate_count": 47691,
        "affiliate_count": 55,
        "sale_product_count": 252,
        "units_sold": 984,
        "gmv": 24915.88,
        "usd_gmv": 30895.69,
        "units_sold_inc_rate": "28.8%",
        "gmv_inc_rate": "43.39%",
        "currency": "GBP"
      }
    ],
    "total": 500,
    "date_type": "day",
    "date_value": "2026-04-06"
  },
  "message": "",
  "timestamp": 1775714099,
  "request_id": "764beab5-2619-53cc-cf63-b726d9086655"
}